/**
 * Depends on jQuery, jQuery.popup
 */

/**
 *
 * @constructor
 */
var Panier = function () {

};

/**
 * Function to add a product to the cart
 *
 * @param nForm
 */
Panier.prototype.add = function(nForm) {
    $.ajax({
        type: "POST",
        url: nForm.attr('action'),
        data:nForm.serialize(),
        dataType:'JSON',
        success: function(req) {
            var data = JSON.parse(req);
            if (data.status == true) {
                console.log('data status true');
                console.log(data);
            } else {
                console.log('data status false');
                console.log(data);
            }
        }
    });
    return true;
    //$("body").popup({
    //    popup:{
    //        id:'panier_popup',
    //        css:{
    //            'width':'700px',
    //            'height':'auto',
    //            'background':'#ffffff'
    //        },
    //        removeOnClick:{
    //            0:'#close',
    //            1:'.close-popup'
    //        }
    //    },
    //    ajax:nForm.attr('action'),
    //    data: nForm.serialize(),
    //    callback: 'var panier = new Panier;panier.refreshDropCart()'
    //});
};

Panier.prototype.addMobile = function(nForm) {
    $.ajax({
        type: "POST",
        url: nForm.attr('action'),
        data:nForm.serialize(),
        success: function(req) {
            var data = JSON.parse(req);
            if (data.status == true) {
                // $('header p.header_panier a').html("(" + data.nbProd + ")");
                var rep = confirm(html_entity_decode(data.msg));
                if(rep){
                    location.href = data.redirection;
                }
            } else {
                alert(html_entity_decode(data.msg));
            }
        }
    });

};

Panier.prototype.refreshDropCart = function(){
    $.ajax({
        type: "POST",
        url: "/cart/rollover",
        success: function (data) {
            jQuery('.main-header li.panier').html(data);
        }
    });
};

Panier.prototype.update = function(identifier, quantite) {
    if (quantite <= 0) {
        this.delete(identifier);
    } else {
        $.ajax({
            type: "POST",
            url: "/cart/update",
            dataType: 'json',
            data: 'action=update&identifier=' + identifier + '&quantite=' + quantite,
            success: function (data) {
                if (data.status) {
                    location.reload();
                }
            }
        });
    }
};

Panier.prototype.delete = function(identifier) {
    $.ajax({
        type: "POST",
        url: "/cart/delete",
        dataType: 'json',
        data: 'action=delete&identifier=' + identifier,
        success: function (data) {
            if (data.status) {
                location.reload();
            }
        }
    });
};

Panier.prototype.popupAddAddress = function(addrType) {
    $("body").popup({
        popup:{
            id:'panier_popup',
            css:{
                'width':'461px',
                'height':'540px',
                'background': '#FFF'
            },
            removeOnClick:{
                0:'#close'
            }
        },
        ajax:'/js/ajax/adresse.php',
        data:'action=add&type=' + addrType
    });
};

Panier.prototype.addAddress = function(addrType, nForm) {
    $.ajax({
        type: "POST",
        url: "/js/ajax/adresse.php",
        dataType: 'json',
        data: 'action=add&type='+addrType + '&' + nForm.serialize(),
        success: function (data) {
            if (data.status) {
                location.reload();
            } else {
                $('#error').html(data.message);
            }
        }
    });
};

Panier.prototype.changeAddress = function(addrType, id) {
    $.ajax({
        type: "POST",
        url: "/cart/address/change",
        dataType: 'json',
        data: 'type='+addrType+'&adresse_id=' + id,
        success: function (data) {
            if (data.status) {
                location.reload();
            }
        }
    });
};

Panier.prototype.selectShipping = function(id) {
    $.ajax({
        type: "POST",
        url: "/cart/shipping/select",
        dataType: 'json',
        data: 'action=change&livraison_zone_id=' + id,
        success: function (data) {
            if (data.status) {
                if (data.data_bind) {
                    dataBind(data.data_bind);
                }

                /*if (data.relais || data.relais == '') {
                    if ($('#list-point-relais').length == 0) {
                        $('.tab_livraison_cp').append($('<div></div>').attr('id', 'list-point-relais'));
                    }
                    $('#list-point-relais').html(data.relais);
                }*/
            }
        }
    });
};

Panier.prototype.addReduction = function(reductionCode) {
    $.ajax({
        type: "POST",
        url: "/cart/reduction/add",
        dataType: 'json',
        data: 'promotion_code=' + reductionCode,
        success: function (data) {
            if (data.status) {
                location.reload();
            } else {
                jQuery('form[name="code-promo"]').find('.error').html(data.message);
            }
        }
    });
};

Panier.prototype.setSameAddress = function(sameAddress) {
    $.ajax({
        type: "POST",
        url: "/cart/same-address",
        dataType: 'json',
        data: 'same_address=' + sameAddress,
        success: function (data) {

        }
    });
};

Panier.prototype.addBonAchat = function(baId) {
    this.callAjax('/cart/voucher/add', {bon_achat_id: baId}, function(data){
        if (data.status) {location.reload();}
    });
};

Panier.prototype.deleteBonAchat = function(baId) {
    this.callAjax('/cart/voucher/delete', {bon_achat_id: baId}, function(data){
        if (data.status) {location.reload();}
    });
};

Panier.prototype.callAjax = function(url, data, callback) {
    $.ajax({
        type: "POST",
        url: url,
        dataType: 'json',
        data: data,
        success: function (data) {
            callback(data);
        }
    });
};

function number_format(number, decimals, dec_point, thousands_sep) {
    number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
    var n = !isFinite(+number) ? 0 : +number,
    prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
    //Add a comment to this line
  	sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
    dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
    s = '',
    toFixedFix = function(n, prec) {
        var k = Math.pow(10, prec);
        return '' + (Math.round(n * k) / k).toFixed(prec);
    };
    // Fix for IE parseFloat(0.55).toFixed(0) = 0;
    s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
    if (s[0].length > 3) {
        s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
    }
    if ((s[1] || '').length < prec) {
      	s[1] = s[1] || '';
      	s[1] += new Array(prec - s[1].length + 1).join('0');
    }
  return s.join(dec);
}