{extends file="layout/layout.tpl"}

{block name="content"}

<div class="cart container">
    <div class="">

        {Breadcrumb::getInstance()->render()}

        {include file="order/nav.tpl" step=1}

        <div id="process" class="cart-table">
                <table id="contentPanier" class="table table-responsive">
                    <tr class="head">
                        <th colspan="2">{txt value="Désignation"}</th>
                        <th class="size">{txt value="Taille"}</th>
                        <th class="price">{txt value="Prix unitaire TTC"}</th>
                        <th class="quantity">{txt value="Quantité"}</th>
                        <th class="price">{txt value="Prix total TTC"}</th>
                        <th class="actions">{txt value="Supprimer"}</th>
                    </tr>

                    {foreach $caddie as $cad}
                        {include file="produit/panier.tpl" p=$cad}
                    {foreachelse}
                        <tr>
                            <td colspan="7">{txt value="Votre panier est vide"}</td>
                        </tr>
                    {/foreach}

                    <tr>
                        <td colspan="5">
                            <h2>{txt value="Mode de livraison"}</h2>
                            <form class="form-inline delivery" action="{$smarty.server.REQUEST_URI}" method="get" name="livraison">
                                <div class="form-group">
                                    <label>
                                    {txt value="Pays :"}
                                    </label>
                                    <select name="pays_id" id="" class="form-control">
                                        {html_options options=$pays selected=$paysSelected}
                                    </select>
                                </div>

                                <div class="form-group mode">
                                    <label>
                                        {txt value="Mode :"}
                                    </label>
                                    {if !empty($livraisons)}
                                        <select name="livraison_id" id="" class="form-control">
                                            {html_options options=$livraisons selected=$livraisonSelected}
                                        </select>
                                    {else}
                                        {txt value="Aucune livraison"}
                                    {/if}
                                </div>
                                {if !empty($port) && $port.livraison_gratuit_reste > 0}
                                    {assign var='free_shipping_alert' value=true }
                                    <div class="alert-green">
                                        {txt value="Il ne vous manque que %LIVRAISON_GRATUIT_RESTE% € pour bénéficier de la livraison gratuite !" tags=$port}
                                    </div>
                                {/if}
                            </form>
                        </td>
                        <td class="price shipping-price {if !$free_shipping_alert}alert-not-visible{/if}">
                            <div class="current-price">
                                {price ht=$port.port_ht ttc=$port.port_ttc}
                            </div>
                        </td>
                        <td colspan="2" class="help {if !$free_shipping_alert}alert-not-visible{/if}">
                            <div class="info">
                                <div class="btn-info" data-tooltip aria-haspopup="true" title="{$port.livraison_nom_desc}" ></div>
                            </div>
                        </td>
                    </tr>

                    <tr class="promo-code">
                        <td colspan="7">
                            <h2>{txt value='Vous bénéficiez d\'un code promo :'}</h2>
                            <form method="post" class="form-inline" action="{url page="add_reduction_cart"}" name="code-promo">
                                <div class="input-group">
                                    <input type="text" class="form-control no-fill" name="promotion_code" placeholder="{txt value="Saisissez votre code promo"}" {if !empty($reduction)}value="{$reduction.code}"{/if} />
                                    <span class="input-group-btn">
                                        <input type="submit" value="OK" class="btn">
                                    </span>
                                </div>
                                <div class="error"></div>
                            </form>
                        </td>
                    </tr>

                </table>

        </div>

        <div class="cart-summary">
            <div class="total">
                <div class="title">
                    {txt value='Total hors livraison'}
                </div>
                <div class="price">
                    {price ht=$sTotalHT ttc=$sTotalTTC}
                </div>
            </div>
            {if isset($montantReduc)}
                <div class="discount">
                    <div class="title">
                        {txt value='Réduction'}
                    </div>
                    <div class="price">
                        {price ttc=$montantReduc}
                    </div>
                </div>
            {/if}
            <div class="delivery">
                <div class="title">
                    {txt value='Livraison'}
                </div>
                <div class="price">
                    {price ht=$port.port_ht ttc=$port.port_ttc}
                </div>
            </div>
            <div class="total-ttc">
                <div class="title">
                    {txt value='Total TTC'}
                </div>
                <div class="price">
                    {price ht=$aPayerHT ttc=$aPayerTTC}
                </div>
            </div>
            <div class="tva-value">
                <div class="title">
                    {txt value='Dont TVA'}
                </div>
                <div class="price">
                    {price ttc=$aPayerTVA}
                </div>
            </div>
        </div>

        <div style="display: none" class="recapPanier">
            <div class="contanier-recap right">
                <div class="sstotal bold">
                    <p class="left">{txt value="Total produits : "}</p>
                    <p class="right pink">{price ttc=$sTotalTTC ht=$sTotalHT}</p>
                </div>
                <div class="clear"></div>
                <div class="livraison">
                    <p class="left">{txt value="Livraison : "}</p>
                    <p class="right">
                        {if $port.livraison_gratuit_reste <= 0}
                            {txt value="Offerte !"}
                        {else}
                            {price ht=$port.port_ht ttc=$port.port_ttc}
                        {/if}
                    </p>
                </div>
                <div class="clear"></div>
                <div class="reduc">
                    <p class="left">{txt value="Réduction : "}</p>
                    <p class="right">-8,<span class="small-prix">00€</span></p>
                </div>
                <div class="clear"></div>
                <div class="total bold">
                    <p class="left">{txt value="Total TTC"} :</p>
                    <p class="right pink">{price ttc=$aPayerTTC ht=$aPayerHT}<span class="small-prix"></span></p>
                </div>
                <div class="clear"></div>
                <div class="tva caramel">
                    <p class="left">{txt value="Dont TVA"} :</p>
                    <p class="right">{price ttc=$aPayerTVA}</span></p>
                </div>
            </div>
        </div>

        <nav id="nav_process" class="navprocess clearfix">
            <p class="pull-right"><a href="{url page=$nextPage}" class="btn btn-red large-button">{txt value="Valider mes achats"}</a></p>
            <p class="pull-left"><a href="{url page="home"}" class="btn btn-white large-button">{txt value="Poursuivre mes achats"}</a></p>
        </nav>

    </div>
</div>

{/block}

{block name="script-js"}
<script>
    jQuery(document).ready(function() {
        var panier = new Panier();
        jQuery(document).on('change', '.cart select[name^="quantite_"]', function(event){
            event.preventDefault();
            panier.update(jQuery(this).data('identifier'), parseInt(jQuery(this).val()));
        });

        jQuery(document).on('change', '.cart form[name="livraison"] select', function(event){
            event.preventDefault();
            jQuery(this).parents('form').submit();
        });

        jQuery(document).on('submit', '.cart form[name="code-promo"]', function(event){
            event.preventDefault();
            panier.addReduction(jQuery(this).find('input[name="promotion_code"]').val());
        });

    });

</script>
{/block}
